<template>
  <div class="row justify-center items-center fullscreen">
    <q-form @submit="onSubmit" class="form-login">
      <q-input
        rounded
        outlined
        type="email"
        v-model="email"
        label="Correo electronico"
        lazy-rules
        :rules="[ val => val && val.length > 0 || 'Ingrese un usuario']"
      >
        <template v-slot:prepend>
          <q-icon name="email" />
        </template>
      </q-input>

     <q-input
        rounded
        outlined
        v-model="username"
        label="Usuario"
        lazy-rules
        :rules="[ val => val && val.length > 0 || 'Ingrese un usuario']"
      >
      <template v-slot:prepend>
          <q-icon name="person" />
        </template>
       </q-input>

      <q-input
        rounded
        outlined
        type="password"
        v-model="password"
        label="Contraseña"
        lazy-rules
        :rules="[
          val => val !== null && val !== '' || 'Ingrese una contraseña'
        ]"
      >
        <template v-slot:prepend>
          <q-icon name="lock" />
        </template>
      </q-input>

      <div class="row justify-center">
        <q-btn label="Ingresar" type="submit" color="primary" />
      </div>
    </q-form>
  </div>
</template>

<script>
import axios from "axios";


export default {
  data() {
    return {
      username: null,
      password: null,
      email: null
    };
  },
  methods: {
    onSubmit() {
      axios
        .post("http://10.0.2.2:5000/api/user/", {
          username: this.username,
          password: this.password,
          email: this.email
        })
        .then(() =>{
            this.$store.commit("addLoggedUser", this.username);
            this.$q.notify('Cuenta creada con exito');
            this.$router.push("/")
        })
         
    }
  }
}
</script>

<style scoped>
.form-login {
  width: 50%;
}

.form-login button {
  margin-top: 10%;
}
</style>